Skip to main content
POST
/
royalty
/
saved-views
Create a saved analytics view
curl --request POST \
  --url https://api.royalti.io/royalty/saved-views \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q2 Spotify vs Apple",
  "config": {
    "dimension": "dsp",
    "start": "2026-04-01",
    "end": "2026-06-30"
  },
  "isDefault": false
}
'
import requests

url = "https://api.royalti.io/royalty/saved-views"

payload = {
"name": "Q2 Spotify vs Apple",
"config": {
"dimension": "dsp",
"start": "2026-04-01",
"end": "2026-06-30"
},
"isDefault": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Q2 Spotify vs Apple',
config: {dimension: 'dsp', start: '2026-04-01', end: '2026-06-30'},
isDefault: false
})
};

fetch('https://api.royalti.io/royalty/saved-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "SavedView": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "config": {},
    "isDefault": true,
    "sortOrder": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"status": "<string>",
"message": "<string>"
}
{
"status": "error",
"message": "A saved view with that name already exists"
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

Create a saved analytics view Authorization:
  • Required role: user or higher

Code Examples

const response = await fetch('https://api.royalti.io/royalty/saved-views', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${token}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "name": "sample-name",
    "config": {},
    "isDefault": true
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post(
  'https://api.royalti.io/royalty/saved-views',
  headers={
    'Authorization': f'Bearer {token}'
  },
  json={"name":"sample-name","config":{},"isDefault":true}
)

data = response.json()
print(data)
curl -X POST https://api.royalti.io/royalty/saved-views \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"sample-name","config":{},"isDefault":true}'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
name
string
required
Required string length: 1 - 120
config
object
required

Arbitrary JSON blob, capped at 100KB serialized

isDefault
boolean

Response

Saved view created

status
string
Example:

"success"

SavedView
object